Subject: Re: [bug#42682] [PATCH 2/2] gnu: Add qmk-cli.

From: Jan Wielkiewicz <[email-masked]>
Date: Wed, 24 Feb 2021 22:41:50 +0100

Dnia 2021-02-05, o godz. 12:39:55
Nicolò Balzarotti <[email-masked]> napisał(a):

> Hi Jan, have you been working on this?  My new qmk-supported keyboard
> is coming and I'd love to be able to flash it with guix.
Nope, I'm quite busy studying right now, will resume my work this
summer.

> I built qmk-firmware in guix (but there are bundled dependencies that
> still need to be removed).
> 
> I was planning to use mugur with it, which calls
> 
> make -C source-path keyboard:type
> 
> So, my first idea (which should apply to qmk-cli too) was to patch
> this to call guix build --with-source and hopefully get this working,
> but I don't know how robust this is (or if it is even going to work).
> 
> (I'll also have to package https://github.com/zsa/wally, but it does
> not seem to require qmk-cli)
> 
> Nicolò

I totally don't remember what the issue was about. If you have a
working package then go ahead.
Thanks for info anyway, I'll check it out later.

Jan Wielkiewicz